=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2007-04-16 21:12:29 +0000
+++ bzrlib/osutils.py	2007-04-19 08:03:19 +0000
@@ -606,12 +606,18 @@
     return offset.days * 86400 + offset.seconds
 
     
-def format_date(t, offset=0, timezone='original', date_fmt=None, 
+def format_date(t, offset=0, timezone='original', date_fmt=None,
                 show_offset=True):
-    ## TODO: Perhaps a global option to use either universal or local time?
-    ## Or perhaps just let people set $TZ?
-    assert isinstance(t, float)
-    
+    """Return a formatted date string.
+
+    :param t: Seconds since the epoch.
+    :param offset: Timezone offset in seconds east of utc.
+    :param timezone: How to display the time: 'utc', 'original' for the
+         timezone specified by offset, or 'local' for the process's current
+         timezone.
+    :param show_offset: Whether to append the timezone.
+    :param date_fmt: strftime format.
+    """
     if timezone == 'utc':
         tt = time.gmtime(t)
         offset = 0

=== modified file 'bzrlib/timestamp.py'
--- bzrlib/timestamp.py	2007-04-19 07:17:16 +0000
+++ bzrlib/timestamp.py	2007-04-19 08:03:19 +0000
@@ -17,6 +17,8 @@
 import calendar
 import time
 
+from bzrlib import osutils
+
 
 def format_highres_date(t, offset=0):
     """Format a date, such that it includes higher precision in the
@@ -138,9 +140,8 @@
         from warnings import warn
         warn("gmtime of negative time (%s, %s) may not work on Windows" %
                 (secs, offset))
-    tm = time.gmtime(secs+offset)
-    time_str = time.strftime('%Y-%m-%d %H:%M:%S', tm)
-    return '%s %+03d%02d' % (time_str, offset/3600, abs(offset/60) % 60)
+    return osutils.format_date(secs, offset=offset,
+            date_fmt='%Y-%m-%d %H:%M:%S')
 
 
 def parse_patch_date(date_str):

